Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 389)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 390)
@@ -201,7 +201,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E101ACB30D6F6B1900AB607D</string>
+				<string>E1F137570D6F7E5D007D5BA3</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>APEMain.m</string>
+				<string>ICeCoffEETrigger.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -209,134 +209,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E101ACB40D6F6B1900AB607D</string>
+						<string>E1F137580D6F7E5D007D5BA3</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>APEMain.m</string>
+						<string>ICeCoffEETrigger.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E101AD980D6F795B00AB607D</string>
+						<string>E1324EA60D6F80C100ADB1ED</string>
 						<key>history</key>
 						<array>
-							<string>E101AD470D6F761800AB607D</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {855, 699}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>41 45 855 719 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E101ACBD0D6F6B1900AB607D</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>CFBundle.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E101ACBE0D6F6B1900AB607D</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>CFBundle.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E101AD9A0D6F795B00AB607D</string>
-						<key>history</key>
-						<array>
-							<string>E101AD990D6F795B00AB607D</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {1000, 686}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>940 105 1000 706 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E101AD7D0D6F789C00AB607D</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ApplicationEnhancer.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E101AD7E0D6F789C00AB607D</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ApplicationEnhancer.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E101AD9B0D6F795B00AB607D</string>
-						<key>history</key>
-						<array>
-							<string>E101AD7F0D6F789C00AB607D</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {855, 699}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>268 223 855 719 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E101AC520D6F5A7A00AB607D</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>APEMain.m - SCM</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E101AC530D6F5A7A00AB607D</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>APEMain.m - SCM</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E101AD9C0D6F795B00AB607D</string>
-						<key>history</key>
-						<array>
-							<string>E101AC540D6F5A7A00AB607D</string>
+							<string>E1F1375A0D6F7E5D007D5BA3</string>
 						</array>
 					</dict>
@@ -354,5 +234,5 @@
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>773 42 867 1016 0 0 1920 1178 </string>
+				<string>959 138 867 1016 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -361,7 +241,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E101ACC50D6F6B1900AB607D</string>
+				<string>E102B7D40D6F7D2A0030BE17</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>APEInfo.rtfd</string>
+				<string>ICeCoffEEConfig.h</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -369,14 +249,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E101ACC60D6F6B1900AB607D</string>
+						<string>E102B7D50D6F7D2A0030BE17</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>APEInfo.rtfd</string>
+						<string>ICeCoffEEConfig.h</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E101AD9E0D6F795B00AB607D</string>
+						<string>E1324EA70D6F80C100ADB1ED</string>
 						<key>history</key>
 						<array>
-							<string>E101ACAD0D6F606600AB607D</string>
+							<string>E1F1375B0D6F7E5D007D5BA3</string>
 						</array>
 					</dict>
@@ -390,209 +270,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {754, 726}}</string>
+				<string>{{0, -1}, {750, 482}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>856 65 754 746 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E101AD240D6F737A00AB607D</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>CFBase.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E101AD250D6F737A00AB607D</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>CFBase.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E101AD9F0D6F795B00AB607D</string>
-						<key>history</key>
-						<array>
-							<string>E101AD3C0D6F761000AB607D</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {855, 699}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>938 113 855 719 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E101ACB70D6F6B1900AB607D</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>LSInfo.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E101ACB80D6F6B1900AB607D</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>LSInfo.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E101ADA00D6F795B00AB607D</string>
-						<key>history</key>
-						<array>
-							<string>E101ACB90D6F6B1900AB607D</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {855, 699}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>885 301 855 719 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E101ACD80D6F6E0C00AB607D</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>MacTypes.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E101ACD90D6F6E0C00AB607D</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>MacTypes.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E101ADA10D6F795B00AB607D</string>
-						<key>history</key>
-						<array>
-							<string>E101ACDA0D6F6E0C00AB607D</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {855, 699}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>553 147 855 719 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E101ACF50D6F6FCA00AB607D</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>Info-APE Module.plist</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E101ACF60D6F6FCA00AB607D</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>Info-APE Module.plist</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E101ADA20D6F795B00AB607D</string>
-						<key>history</key>
-						<array>
-							<string>E101ACEF0D6F6F7600AB607D</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {762, 661}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>1045 131 762 681 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E101AD2A0D6F737A00AB607D</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>CFNumber.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E101AD2B0D6F737A00AB607D</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>CFNumber.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E101ADA30D6F795B00AB607D</string>
-						<key>history</key>
-						<array>
-							<string>E101AD3A0D6F761000AB607D</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {855, 699}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>917 27 855 719 0 0 1920 1178 </string>
+				<string>732 376 750 502 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -667,11 +347,10 @@
 									<array>
 										<array>
-											<integer>3</integer>
-											<integer>2</integer>
+											<integer>39</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {298, 621}}</string>
+									<string>{{0, 331}, {298, 621}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -727,16 +406,8 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
-										<string>E101A6DD0D6D55BB00AB607D</string>
-										<string>E101A7430D6D5D6F00AB607D</string>
-										<string>E101A7440D6D5D6F00AB607D</string>
-										<string>E101A6E10D6D55BB00AB607D</string>
-										<string>E101AB630D6F4E5D00AB607D</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>21</integer>
-											<integer>7</integer>
-											<integer>1</integer>
 											<integer>0</integer>
 										</array>
@@ -839,6 +510,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E101A6F30D6D55BE00AB607D</string>
-				<string>E101A6F40D6D55BE00AB607D</string>
+				<string>E1324E9C0D6F7E6B00ADB1ED</string>
+				<string>E1324E9D0D6F7E6B00ADB1ED</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -871,25 +542,9 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E101A9C40D6F3F0700AB607D</string>
-		<string>E101A80F0D6D68E800AB607D</string>
-		<string>E101A8100D6D68E800AB607D</string>
-		<string>E101A8110D6D68E800AB607D</string>
-		<string>1C530D5B069F1CE1000CFCEE</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>E101A7210D6D5CC800AB607D</string>
-		<string>E101AD2A0D6F737A00AB607D</string>
-		<string>E101ACF50D6F6FCA00AB607D</string>
-		<string>E101ACD80D6F6E0C00AB607D</string>
-		<string>E101ACB70D6F6B1900AB607D</string>
-		<string>E101AD240D6F737A00AB607D</string>
-		<string>E101ACC50D6F6B1900AB607D</string>
-		<string>E101AC520D6F5A7A00AB607D</string>
-		<string>E15464670D5EB85000C836EC</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>E1324EA80D6F80C100ADB1ED</string>
+		<string>1C530D57069F1CE1000CFCEE</string>
+		<string>E102B7D40D6F7D2A0030BE17</string>
+		<string>E1F137570D6F7E5D007D5BA3</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
-		<string>E101AD7D0D6F789C00AB607D</string>
-		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E101ACBD0D6F6B1900AB607D</string>
-		<string>E101ACB30D6F6B1900AB607D</string>
 	</array>
 	<key>WindowString</key>
@@ -1111,5 +766,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E101A7060D6D5B2400AB607D</string>
+				<string>E1F1375C0D6F7E5D007D5BA3</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -1153,6 +808,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {274, 277}}</string>
-											<string>{{274, 0}, {533, 277}}</string>
+											<string>{{0, 0}, {274, 280}}</string>
+											<string>{{274, 0}, {533, 280}}</string>
 										</array>
 									</dict>
@@ -1169,6 +824,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {807, 277}}</string>
-											<string>{{0, 277}, {807, 252}}</string>
+											<string>{{0, 0}, {807, 280}}</string>
+											<string>{{0, 280}, {807, 249}}</string>
 										</array>
 									</dict>
@@ -1203,5 +858,5 @@
 									</array>
 									<key>Frame</key>
-									<string>{{274, 0}, {533, 277}}</string>
+									<string>{{274, 0}, {533, 280}}</string>
 									<key>RubberWindowFrame</key>
 									<string>938 75 807 570 0 0 1920 1178 </string>
@@ -1231,11 +886,11 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E101A7310D6D5CD100AB607D</string>
+				<string>E1890CAF0D6F7A07007FAE30</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E101A7320D6D5CD100AB607D</string>
-				<string>E101A7330D6D5CD100AB607D</string>
-				<string>E101A7340D6D5CD100AB607D</string>
-				<string>E101A7350D6D5CD100AB607D</string>
-				<string>E101A7360D6D5CD100AB607D</string>
+				<string>E1890CB00D6F7A07007FAE30</string>
+				<string>E1890CB10D6F7A07007FAE30</string>
+				<string>E1890CB20D6F7A07007FAE30</string>
+				<string>E1890CB30D6F7A07007FAE30</string>
+				<string>E1890CB40D6F7A07007FAE30</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -1269,5 +924,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ICeCoffEE.h</string>
+										<string>&lt;No Editor&gt;</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -1327,6 +982,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E101A7080D6D5B2400AB607D</string>
-				<string>E101A7090D6D5B2400AB607D</string>
+				<string>E1324EA40D6F80B800ADB1ED</string>
+				<string>E1324EA50D6F80B800ADB1ED</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -1337,5 +992,5 @@
 			<string>1C530D57069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1393,5 +1048,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E101A7370D6D5CD100AB607D</string>
+				<string>E1890CB50D6F7A07007FAE30</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1545,5 +1200,5 @@
 			<string>E15464670D5EB85000C836EC</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>