Index: trunk/Cocoa/F-Script Anywhere/Source/Read Me
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/Read Me	(revision 230)
+++ trunk/Cocoa/F-Script Anywhere/Source/Read Me	(revision 409)
@@ -1,8 +1,8 @@
-F-Script Anywhere 1.2 [5 January 2004]
-=====================
+F-Script Anywhere 2.0d2 [24 February 2008]
+=======================
 
 Add a F-Script interpreter to Cocoa applications dynamically.
 
-Written by Nicholas Riley <mailto:fsa@sabi.net>.
+Written by Nicholas Riley <mailto:fsa@sabi.net> and Robert Chin.
 Obtain updates from <http://web.sabi.net/nriley/software/>.
 
@@ -24,10 +24,9 @@
 directory, such as /Library/Frameworks or ~/Library/Frameworks.
 
-F-Script Anywhere 1.2 was tested with FScript.framework 1.2.5
-(20031020) and Mac OS X 10.3.2 (7D24).  If you are using an earlier
-F-Script version, please upgrade.  F-Script Anywhere 1.2 should also
-work with Mac OS X 10.2.x, but will not work with Mac OS X 10.1 or
-earlier: please use F-Script Anywhere 1.1.5 instead.
-
+F-Script Anywhere 2.0d2 was tested with FScript.framework 2.0a2 and
+Mac OS X 10.5.2 (9C31).  If you are using an earlier F-Script version,
+please upgrade.  F-Script Anywhere 2.0 requires Mac OS X 10.5 or
+later; if you're using Mac OS X 10.4, download F-Script 1.3.5
+(20070421) which includes F-Script Anywhere 1.3.
 
 USAGE
@@ -65,35 +64,13 @@
 1. Install FScript.framework (see above).
 
-2. Check out the source of 'otool' from the Darwin CVS repository.
-   This is required because there's a bug in the function that returns
-   the 'flavo(u)r' of an application: Cocoa, Carbon, Classic, etc.
-   It identifies all Cocoa applications as Carbon ones.  So as a
-   workaround, F-Script Anywhere examines the application itself to
-   see what libraries it links with.  (This may fail if you're doing
-   something weird like linking to development versions of Foundation
-   and AppKit, but since I don't work for Apple, I couldn't test that
-   eventuality.)
-
-   Check out Commands/Apple/cctools/{include,libstuff} from Darwin
-   CVS into the "Darwin source" directory.  If you don't have a CVS
-   account, go to <http://www.opensource.apple.com/> and get one.
-
-   cd to the libstuff directory and type 'make' (it doesn't use
-   jam/pbxbuild).  I _think_ this is all you need.
-
-3. Unzip DSTools-60.1.zip. Open the folder up and open
-   DSTools.xcodeproj. Change the active target to the DSCL framework,
-   change the build configuration to Deployment, and then build the
-   framework. Copy the resulting framework into the FSA Source/
-   directory. Alternatively if you're on PPC, you can just remove the
-   DSCL framework from the dependancies. The DSCL framework is used
-   to determine if you are in the procmod group on intel machines
-   (and if not, to prompt you if you want to add yourself) -- something
-   that is necessary for use of FSA on x86.
-
-4. Unzip FScript.framework.zip, or put a newer version of FScript.framework
-   in the project path. This is used for the FScript framework auto installer.
+2. In the "Darwin source" directory, check out Darwin's cctools from
+   <http://www.opensource.apple.com/>, untar it and rename the
+   directory to "cctools".  cd to the libstuff directory and type
+   'make RC_CFLAGS="-isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch i386 -arch ppc" RC_XBS=YES dynamic'.
+
+3. Put a version of FScript.framework into the Source folder. This
+   is used for the F-Script framework auto installer.
    
-5. Open 'F-Script Anywhere.xcodeproj' in Xcode and build the Application
+4. Open 'F-Script Anywhere.xcodeproj' in Xcode and build the Application
    target.  This target depends on the Bundle and Bundle Loader
    targets, so you don't need to build them separately.  You
@@ -161,10 +138,10 @@
 A. If you need to access a view (such as a button or text field), menu or
    window, youÕre in luck.  Click in an F-Script workspace window, then
-   choose ÒAssociate With InterfaceÓ from the ÒFSAÓ menu.
+   click or choose ÒBrowser for TargetÉÓ from the ÒFSAÓ menu.
    Follow the instructions in the window to select a user interface
    element, view it in an object browser or assign it to a variable.
 
    The F-Script object browser now provides a similar feature: click the
-   "Select view" button.
+   ÒSelect ViewÓ button.
 
 
@@ -184,12 +161,14 @@
 A. That's not a question.  But if you have a question about F-Script
    Anywhere, a suggestion or a bug to report, please email it to me at
-   <fsa@sabi.net>.  Please try to keep your messages short and to the
-   point, and I'll get back to you as soon as my schedule will allow.
-   Thanks!
+   <fsa@sabi.net>.  I'll get back to you as soon as my schedule will
+   allow.  Thanks!
 
 
 VERSION HISTORY
 ---------------
-1.3   - 5 May     2006  - Fixed leaking of file handles
+2.0   - unreleased      - Injectable into Cocoa garbage collected apps
+                        - Requires F-Script 2.0 and Mac OS X 10.5
+1.3.1 - 17 October 2007 - Compatible with Mac OS X 10.5
+1.3   - 5 May 2006      - Fixed leaking of file handles
 			- Removed deprecated F-Script functions
 			- New associate option that automatically
@@ -261,5 +240,6 @@
 
 Philippe Mougin, for F-Script
-Jonathan 'Wolf' Rentsch, for mach_inject
+Robert Chin, for maintenance and Intel/Leopard porting
+Jonathan 'Wolf' Rentsch and Bertrand Guihneuf, for mach_inject
 Jon Gotow, for SCPatch and lots of advice
 Mike Ferris, for TextExtras