Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 409)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 410)
@@ -9,5 +9,4 @@
 /* Begin PBXBuildFile section */
 		25666C4E0A1DAE4D0006AC79 /* Security.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 25666C4D0A1DAE4D0006AC79 /* Security.framework */; };
-		258C27790A25A57200AC22BB /* FScript.framework in Resources */ = {isa = PBXBuildFile; fileRef = F5EFC2C3020A6C2601AEEDB1 /* FScript.framework */; };
 		25D8A24C0CBD347A00EFA0BD /* Certificate.cer in Resources */ = {isa = PBXBuildFile; fileRef = 25D8A24B0CBD347A00EFA0BD /* Certificate.cer */; };
 		25EADA9609CD2D7100BCD8E1 /* bytesex.c in Sources */ = {isa = PBXBuildFile; fileRef = 25EADA9509CD2D7100BCD8E1 /* bytesex.c */; };
@@ -51,5 +50,5 @@
 		E1EE9A270575769600F2D92C /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1058C7A1FEA54F0111CA2CBB /* Cocoa.framework */; };
 		E1EE9A280575769600F2D92C /* Carbon.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F59279FB01FED0C901AEEC37 /* Carbon.framework */; };
-		E1EE9A2C0575769600F2D92C /* LICENSE.rtf in CopyFiles */ = {isa = PBXBuildFile; fileRef = F5680F83020D369A01AEEC37 /* LICENSE.rtf */; };
+		E1EE9A2C0575769600F2D92C /* LICENSE.rtf in Copy License */ = {isa = PBXBuildFile; fileRef = F5680F83020D369A01AEEC37 /* LICENSE.rtf */; };
 		E1EE9A790575776300F2D92C /* FScript.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F5EFC2C3020A6C2601AEEDB1 /* FScript.framework */; };
 		E1EE9A7A0575776700F2D92C /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1058C7A1FEA54F0111CA2CBB /* Cocoa.framework */; };
@@ -78,5 +77,5 @@
 
 /* Begin PBXCopyFilesBuildPhase section */
-		E1EE9A2B0575769600F2D92C /* CopyFiles */ = {
+		E1EE9A2B0575769600F2D92C /* Copy License */ = {
 			isa = PBXCopyFilesBuildPhase;
 			buildActionMask = 12;
@@ -84,6 +83,7 @@
 			dstSubfolderSpec = 0;
 			files = (
-				E1EE9A2C0575769600F2D92C /* LICENSE.rtf in CopyFiles */,
-			);
+				E1EE9A2C0575769600F2D92C /* LICENSE.rtf in Copy License */,
+			);
+			name = "Copy License";
 			runOnlyForDeploymentPostprocessing = 0;
 		};
@@ -400,8 +400,9 @@
 			buildConfigurationList = 25EAD8F309CD1E3900BCD8E1 /* Build configuration list for PBXNativeTarget "Application" */;
 			buildPhases = (
-				E1EE9A0F0575769600F2D92C /* Resources */,
 				E1EE9A180575769600F2D92C /* Sources */,
 				E1EE9A260575769600F2D92C /* Frameworks */,
-				E1EE9A2B0575769600F2D92C /* CopyFiles */,
+				E1EE9A0F0575769600F2D92C /* Resources */,
+				E1EE9A2B0575769600F2D92C /* Copy License */,
+				E18D02920D717AA600F7283F /* Copy FScript.framework */,
 				E1EE9A2D0575769600F2D92C /* Copy Documentation (install only) */,
 				E186F1500D70BDFE008C1B31 /* Sign Code */,
@@ -423,6 +424,6 @@
 			buildConfigurationList = 25EAD8EB09CD1E3900BCD8E1 /* Build configuration list for PBXNativeTarget "Bundle" */;
 			buildPhases = (
+				E1EE9A4C057576A700F2D92C /* Sources */,
 				E1EE9A4B057576A700F2D92C /* Resources */,
-				E1EE9A4C057576A700F2D92C /* Sources */,
 				E1EE9A4D057576A700F2D92C /* Frameworks */,
 			);
@@ -469,5 +470,4 @@
 				E1D6B7EA05A4AAE2003838B0 /* Localizable.strings in Resources */,
 				E14C1ECF05A8DB19000D4AF3 /* Ellipsis.tiff in Resources */,
-				258C27790A25A57200AC22BB /* FScript.framework in Resources */,
 				E1FD011605B91232001DABE0 /* mach_error descriptions.strings in Resources */,
 				25D8A24C0CBD347A00EFA0BD /* Certificate.cer in Resources */,
@@ -502,4 +502,18 @@
 			shellScript = "/usr/bin/codesign -s 'Nicholas Riley' -fv \"${BUILT_PRODUCTS_DIR}/${FULL_PRODUCT_NAME}\"";
 			showEnvVarsInLog = 0;
+		};
+		E18D02920D717AA600F7283F /* Copy FScript.framework */ = {
+			isa = PBXShellScriptBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+			);
+			inputPaths = (
+			);
+			name = "Copy FScript.framework";
+			outputPaths = (
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+			shellPath = /bin/sh;
+			shellScript = "# note: we do this so FScript.framework can be a symlink\n\ncd \"${SRCROOT}/FScript.framework\"\nmkdir -p \"${BUILT_PRODUCTS_DIR}/${FULL_PRODUCT_NAME}/Contents/Resources/FScript.framework\"\npwd\necho \"${BUILT_PRODUCTS_DIR}/${FULL_PRODUCT_NAME}/Contents/Resources/FScript.framework\"\n/usr/bin/ditto . \"${BUILT_PRODUCTS_DIR}/${FULL_PRODUCT_NAME}/Contents/Resources/FScript.framework\"\npwd\n";
 		};
 		E1EE9A2D0575769600F2D92C /* Copy Documentation (install only) */ = {