Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 410)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 411)
@@ -50,5 +50,4 @@
 		E1EE9A270575769600F2D92C /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1058C7A1FEA54F0111CA2CBB /* Cocoa.framework */; };
 		E1EE9A280575769600F2D92C /* Carbon.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F59279FB01FED0C901AEEC37 /* Carbon.framework */; };
-		E1EE9A2C0575769600F2D92C /* LICENSE.rtf in Copy License */ = {isa = PBXBuildFile; fileRef = F5680F83020D369A01AEEC37 /* LICENSE.rtf */; };
 		E1EE9A790575776300F2D92C /* FScript.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F5EFC2C3020A6C2601AEEDB1 /* FScript.framework */; };
 		E1EE9A7A0575776700F2D92C /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1058C7A1FEA54F0111CA2CBB /* Cocoa.framework */; };
@@ -75,18 +74,4 @@
 		};
 /* End PBXContainerItemProxy section */
-
-/* Begin PBXCopyFilesBuildPhase section */
-		E1EE9A2B0575769600F2D92C /* Copy License */ = {
-			isa = PBXCopyFilesBuildPhase;
-			buildActionMask = 12;
-			dstPath = "${DSTROOT}";
-			dstSubfolderSpec = 0;
-			files = (
-				E1EE9A2C0575769600F2D92C /* LICENSE.rtf in Copy License */,
-			);
-			name = "Copy License";
-			runOnlyForDeploymentPostprocessing = 0;
-		};
-/* End PBXCopyFilesBuildPhase section */
 
 /* Begin PBXFileReference section */
@@ -137,5 +122,5 @@
 		F5680F7B020D0D0401AEEC37 /* English */ = {isa = PBXFileReference; lastKnownFileType = wrapper.nib; name = English; path = English.lproj/FSAInterpreterPanel.nib; sourceTree = "<group>"; };
 		F5680F7F020D35ED01AEEC37 /* Read Me */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text; path = "Read Me"; sourceTree = "<group>"; };
-		F5680F83020D369A01AEEC37 /* LICENSE.rtf */ = {isa = PBXFileReference; lastKnownFileType = text.rtf; name = LICENSE.rtf; path = ../LICENSE.rtf; sourceTree = SOURCE_ROOT; };
+		F5680F83020D369A01AEEC37 /* LICENSE.rtf */ = {isa = PBXFileReference; lastKnownFileType = text.rtf; path = LICENSE.rtf; sourceTree = "<group>"; };
 		F5694E2702E96FFE01AEEDB1 /* Bullseye menu cursor.tiff */ = {isa = PBXFileReference; lastKnownFileType = image.tiff; path = "Bullseye menu cursor.tiff"; sourceTree = "<group>"; };
 		F574ADD5020AC10F01AEEDB1 /* NJRScrollView.m */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.objc; path = NJRScrollView.m; sourceTree = "<group>"; };
@@ -403,5 +388,4 @@
 				E1EE9A260575769600F2D92C /* Frameworks */,
 				E1EE9A0F0575769600F2D92C /* Resources */,
-				E1EE9A2B0575769600F2D92C /* Copy License */,
 				E18D02920D717AA600F7283F /* Copy FScript.framework */,
 				E1EE9A2D0575769600F2D92C /* Copy Documentation (install only) */,
@@ -525,5 +509,5 @@
 			runOnlyForDeploymentPostprocessing = 1;
 			shellPath = /bin/sh;
-			shellScript = "# Copy various README files into DSTROOT if building a root\n\nif [ z\"${DSTROOT}\" != z\"\" ] ; then\n    rm -f \"${DSTROOT}/Read Me\"\n    tr '\\n' '\\r' < \"Read Me\" > \"${DSTROOT}/Read Me\"\n    cp \"Read Me.rsrc\" \"${DSTROOT}/Read Me/..namedfork/rsrc\"\n    /Developer/Tools/SetFile -t 'ttro' -c 'ttxt' \"${DSTROOT}/Read Me\"\n        \n    # Create Darwin source directory\n    mkdir \"${DSTROOT}/Darwin source\"\n    \n    # Fix permissions so ditto doesn't lock people out\n    chmod -R a+rX,u+w \"${DSTROOT}\"\nfi";
+			shellScript = "# Copy various README files into DSTROOT if building a root\n\n# Make tr ignorant and happy\nexport LANG=C\n\nif [ z\"${DSTROOT}\" != z\"\" ] ; then\n    rm -f \"${DSTROOT}/Read Me\"\n    tr '\\n' '\\r' < \"Read Me\" > \"${DSTROOT}/Read Me\"\n    cp \"Read Me.rsrc\" \"${DSTROOT}/Read Me/..namedfork/rsrc\"\n    /Developer/Tools/SetFile -t 'ttro' -c 'ttxt' \"${DSTROOT}/Read Me\"\n\n    cp \"LICENSE.rtf\" \"${DSTROOT}\"\n\n    # Create Darwin source directory\n    # mkdir \"${DSTROOT}/Darwin source\"\n    \n    # Fix permissions so ditto doesn't lock people out\n    chmod -R a+rX,u+w \"${DSTROOT}\"\nfi";
 		};
 /* End PBXShellScriptBuildPhase section */
@@ -667,7 +651,7 @@
 				GCC_WARN_UNKNOWN_PRAGMAS = NO;
 				INFOPLIST_FILE = "Bundle-Info.plist";
-				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
 				OTHER_CFLAGS = "";
 				PRODUCT_NAME = "F-Script Anywhere";
+				SKIP_INSTALL = YES;
 			};
 			name = Development;
@@ -689,7 +673,7 @@
 				GCC_WARN_UNKNOWN_PRAGMAS = NO;
 				INFOPLIST_FILE = "Bundle-Info.plist";
-				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
 				OTHER_CFLAGS = "-DFSA_DEBUG=0";
 				PRODUCT_NAME = "F-Script Anywhere";
+				SKIP_INSTALL = YES;
 			};
 			name = Deployment;
@@ -708,5 +692,4 @@
 				GCC_WARN_UNKNOWN_PRAGMAS = NO;
 				INFOPLIST_FILE = "Bundle Loader-Info.plist";
-				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
 				OPTIMIZATION_CFLAGS = "-O0";
 				OTHER_CFLAGS = "";
@@ -731,5 +714,4 @@
 				GCC_WARN_UNKNOWN_PRAGMAS = NO;
 				INFOPLIST_FILE = "Bundle Loader-Info.plist";
-				INSTALL_PATH = "$(USER_LIBRARY_DIR)/Bundles";
 				OTHER_CFLAGS = "-DFSA_DEBUG=0";
 				PRODUCT_NAME = SCPatchLoader;