Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 411)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 412)
@@ -648,8 +648,5 @@
 				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
 				GCC_OPTIMIZATION_LEVEL = 0;
-				GCC_WARN_FOUR_CHARACTER_CONSTANTS = NO;
-				GCC_WARN_UNKNOWN_PRAGMAS = NO;
 				INFOPLIST_FILE = "Bundle-Info.plist";
-				OTHER_CFLAGS = "";
 				PRODUCT_NAME = "F-Script Anywhere";
 				SKIP_INSTALL = YES;
@@ -670,8 +667,5 @@
 				);
 				GCC_ENABLE_OBJC_GC = supported;
-				GCC_WARN_FOUR_CHARACTER_CONSTANTS = NO;
-				GCC_WARN_UNKNOWN_PRAGMAS = NO;
 				INFOPLIST_FILE = "Bundle-Info.plist";
-				OTHER_CFLAGS = "-DFSA_DEBUG=0";
 				PRODUCT_NAME = "F-Script Anywhere";
 				SKIP_INSTALL = YES;
@@ -687,14 +681,6 @@
 				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
 				GCC_OPTIMIZATION_LEVEL = 0;
-				GCC_PRECOMPILE_PREFIX_HEADER = YES;
-				GCC_PREFIX_HEADER = "$(SDKROOT)/$(SYSTEM_LIBRARY_DIR)/Frameworks/Carbon.framework/Headers/Carbon.h";
-				GCC_WARN_FOUR_CHARACTER_CONSTANTS = NO;
-				GCC_WARN_UNKNOWN_PRAGMAS = NO;
 				INFOPLIST_FILE = "Bundle Loader-Info.plist";
-				OPTIMIZATION_CFLAGS = "-O0";
-				OTHER_CFLAGS = "";
 				PRODUCT_NAME = SCPatchLoader;
-				WARNING_CFLAGS = "-Wmost";
-				ZERO_LINK = NO;
 			};
 			name = Development;
@@ -709,13 +695,6 @@
 				COPY_PHASE_STRIP = YES;
 				GCC_ENABLE_OBJC_GC = supported;
-				GCC_PRECOMPILE_PREFIX_HEADER = YES;
-				GCC_PREFIX_HEADER = "$(SDKROOT)/$(SYSTEM_LIBRARY_DIR)/Frameworks/Carbon.framework/Headers/Carbon.h";
-				GCC_WARN_FOUR_CHARACTER_CONSTANTS = NO;
-				GCC_WARN_UNKNOWN_PRAGMAS = NO;
 				INFOPLIST_FILE = "Bundle Loader-Info.plist";
-				OTHER_CFLAGS = "-DFSA_DEBUG=0";
 				PRODUCT_NAME = SCPatchLoader;
-				WARNING_CFLAGS = "-Wmost";
-				ZERO_LINK = NO;
 			};
 			name = Deployment;
@@ -748,10 +727,4 @@
 				);
 				PRODUCT_NAME = "F-Script Anywhere";
-				WARNING_CFLAGS = (
-					"-Wno-long-double",
-					"-Wmost",
-					"-Wno-four-char-constants",
-					"-Wno-unknown-pragmas",
-				);
 				WRAPPER_EXTENSION = app;
 			};
@@ -789,10 +762,4 @@
 				);
 				PRODUCT_NAME = "F-Script Anywhere";
-				WARNING_CFLAGS = (
-					"-Wno-long-double",
-					"-Wmost",
-					"-Wno-four-char-constants",
-					"-Wno-unknown-pragmas",
-				);
 				WRAPPER_EXTENSION = app;
 			};
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAApp.h
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAApp.h	(revision 411)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAApp.h	(revision 412)
@@ -29,4 +29,6 @@
 #import "FSAAppList.h"
 
+#ifdef __cplusplus
+
 #include "SCPatchController.h"
 
@@ -43,4 +45,10 @@
     FSAApp *mApp;
 };
+
+#else
+
+#define FSAPatchController void
+
+#endif /* __cplusplus */
 
 @interface FSAApp : NSApplication
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAAppList.m
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAAppList.m	(revision 411)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAAppList.m	(revision 412)
@@ -27,4 +27,5 @@
 #include <sys/types.h>
 #include <sys/sysctl.h>
+#import "FSAApp.h"
 #import "FSAAppList.h"
 #import "FSAnywhere.h"
@@ -241,5 +242,5 @@
 	    if(finishedLaunch){
 		if([alwaysApps containsObject:[app name]] && ![patchedApps containsObject:app])
-		    [NSApp installBundleInAppWithPID:[app pid]];
+		    [(FSAApp *)NSApp installBundleInAppWithPID:[app pid]];
 	    }
 	}
@@ -465,5 +466,5 @@
     while(anApp = [e nextObject]){
 	if([alwaysApps containsObject:[anApp name]]){
-	    [NSApp installBundleInAppWithPID:[anApp pid]];
+	    [(FSAApp *)NSApp installBundleInAppWithPID:[anApp pid]];
 	}
     }
@@ -482,5 +483,5 @@
 	    NSString *appName = [[cocoaApps objectAtIndex:[sender clickedRow]] name];
 	    if(![alwaysApps containsObject:appName]){
-		[NSApp installBundleInAppWithPID:[[cocoaApps objectAtIndex:[sender clickedRow]] pid]];
+		[(FSAApp *)NSApp installBundleInAppWithPID:[[cocoaApps objectAtIndex:[sender clickedRow]] pid]];
 		[alwaysApps addObject:appName];
 	    } else
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAController.h
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAController.h	(revision 411)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAController.h	(revision 412)
@@ -46,5 +46,4 @@
 
 - (IBAction)setFloating:(id)sender;
-- (IBAction)FSA_associateWithInterface:(id)sender;
 - (IBAction)FSA_associateAndOpenBrowser:(id)sender;
 
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAWindowManager.m
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAWindowManager.m	(revision 411)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAWindowManager.m	(revision 412)
@@ -234,5 +234,5 @@
     int itemIndex = [menu indexOfItemWithRepresentedObject: window];
 
-    NSAssert1(itemIndex != -1, @"CanÕt get menu item for window %@", window);
+    NSAssert1(itemIndex != -1, @"Can't get menu item for window %@", window);
     [self addRecord: record];
     [menu insertItem: [record menuItem] atIndex: itemIndex + 1];
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAnywhere.h
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAnywhere.h	(revision 411)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAnywhere.h	(revision 412)
Index: trunk/Cocoa/F-Script Anywhere/Source/Read Me
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/Read Me	(revision 411)
+++ trunk/Cocoa/F-Script Anywhere/Source/Read Me	(revision 412)
@@ -168,4 +168,5 @@
 ---------------
 2.0   - unreleased      - Injectable into Cocoa garbage collected apps
+			  (64-bit applications are not yet supported)
                         - Requires F-Script 2.0 and Mac OS X 10.5
 1.3.1 - 17 October 2007 - Compatible with Mac OS X 10.5