Index: unk/Cocoa/F-Script Anywhere/Source/Bundle Loader-Info.plist
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/Bundle Loader-Info.plist	(revision 412)
+++ 	(revision )
@@ -1,26 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
-<dict>
-	<key>CFBundleDevelopmentRegion</key>
-	<string>English</string>
-	<key>CFBundleExecutable</key>
-	<string>SCPatchLoader</string>
-	<key>CFBundleGetInfoString</key>
-	<string></string>
-	<key>CFBundleIconFile</key>
-	<string></string>
-	<key>CFBundleIdentifier</key>
-	<string>net.sabi.FScriptAnywhereLoader</string>
-	<key>CFBundleInfoDictionaryVersion</key>
-	<string>6.0</string>
-	<key>CFBundlePackageType</key>
-	<string>BNDL</string>
-	<key>CFBundleShortVersionString</key>
-	<string>${CURRENT_MARKETING_VERSION}</string>
-	<key>CFBundleSignature</key>
-	<string>FSAL</string>
-	<key>CFBundleVersion</key>
-	<string>${CURRENT_MARKETING_VERSION}</string>
-</dict>
-</plist>
Index: unk/Cocoa/F-Script Anywhere/Source/Bundle-Info.plist
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/Bundle-Info.plist	(revision 412)
+++ 	(revision )
@@ -1,26 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
-<dict>
-	<key>CFBundleDevelopmentRegion</key>
-	<string>English</string>
-	<key>CFBundleExecutable</key>
-	<string>F-Script Anywhere</string>
-	<key>CFBundleGetInfoString</key>
-	<string></string>
-	<key>CFBundleIconFile</key>
-	<string></string>
-	<key>CFBundleIdentifier</key>
-	<string>net.sabi.FScriptAnywhere</string>
-	<key>CFBundleInfoDictionaryVersion</key>
-	<string>6.0</string>
-	<key>CFBundlePackageType</key>
-	<string>BNDL</string>
-	<key>CFBundleShortVersionString</key>
-	<string>${CURRENT_MARKETING_VERSION}</string>
-	<key>CFBundleSignature</key>
-	<string>FSAB</string>
-	<key>CFBundleVersion</key>
-	<string>${CURRENT_MARKETING_VERSION}</string>
-</dict>
-</plist>
Index: /trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 412)
+++ /trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 413)
@@ -89,6 +89,6 @@
 		E14C1ECE05A8DB19000D4AF3 /* Ellipsis.tiff */ = {isa = PBXFileReference; lastKnownFileType = image.tiff; path = Ellipsis.tiff; sourceTree = SOURCE_ROOT; };
 		E1D652040575B3D50054F5D1 /* SCPatchLoader.bundle */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = SCPatchLoader.bundle; sourceTree = BUILT_PRODUCTS_DIR; };
-		E1D652A40575B55B0054F5D1 /* Bundle-Info.plist */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text.xml; path = "Bundle-Info.plist"; sourceTree = "<group>"; };
-		E1D652A90575B5750054F5D1 /* Bundle Loader-Info.plist */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text.xml; path = "Bundle Loader-Info.plist"; sourceTree = "<group>"; };
+		E1D652A40575B55B0054F5D1 /* Info-Bundle.plist */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text.plist.xml; path = "Info-Bundle.plist"; sourceTree = "<group>"; };
+		E1D652A90575B5750054F5D1 /* Info-Bundle Loader.plist */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text.plist.xml; path = "Info-Bundle Loader.plist"; sourceTree = "<group>"; };
 		E1D6B7E705A4AACE003838B0 /* English */ = {isa = PBXFileReference; fileEncoding = 10; lastKnownFileType = text.plist.strings; name = English; path = English.lproj/Localizable.strings; sourceTree = "<group>"; };
 		E1E4A91805A25F440097D040 /* SCPatchCommon.h */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.h; path = SCPatchCommon.h; sourceTree = "<group>"; tabWidth = 4; usesTabs = 1; };
@@ -227,15 +227,13 @@
 			isa = PBXGroup;
 			children = (
-				25D8A24B0CBD347A00EFA0BD /* Certificate.cer */,
-				258C25590A259B6E00AC22BB /* FScript.framework */,
 				29B97318FDCFA39411CA2CEA /* MainMenu.nib */,
 				F5680F7A020D0D0401AEEC37 /* FSAInterpreterPanel.nib */,
 				E1EE9A2F0575769600F2D92C /* Info-Application.plist */,
+				E1D652A40575B55B0054F5D1 /* Info-Bundle.plist */,
+				E1D652A90575B5750054F5D1 /* Info-Bundle Loader.plist */,
 				089C165CFE840E0CC02AAC07 /* InfoPlist.strings */,
 				E1D6B7E905A4AAE2003838B0 /* Localizable.strings */,
 				E1FD011505B91232001DABE0 /* mach_error descriptions.strings */,
 				E1F3DF900579172A00E952A5 /* FSA.strings */,
-				E1D652A40575B55B0054F5D1 /* Bundle-Info.plist */,
-				E1D652A90575B5750054F5D1 /* Bundle Loader-Info.plist */,
 				F535E67D020CD95201AEEC37 /* Application icon.icns */,
 				F5694E2702E96FFE01AEEDB1 /* Bullseye menu cursor.tiff */,
@@ -245,4 +243,5 @@
 				F5680F83020D369A01AEEC37 /* LICENSE.rtf */,
 				F5680F7F020D35ED01AEEC37 /* Read Me */,
+				25D8A24B0CBD347A00EFA0BD /* Certificate.cer */,
 				F5B11ED902E67DB101AEEDB1 /* VERSION.xcconfig */,
 			);
@@ -253,4 +252,5 @@
 			isa = PBXGroup;
 			children = (
+				258C25590A259B6E00AC22BB /* FScript.framework */,
 				F59279FB01FED0C901AEEC37 /* Carbon.framework */,
 				1058C7A1FEA54F0111CA2CBB /* Cocoa.framework */,
@@ -648,5 +648,5 @@
 				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
 				GCC_OPTIMIZATION_LEVEL = 0;
-				INFOPLIST_FILE = "Bundle-Info.plist";
+				INFOPLIST_FILE = "Info-Bundle.plist";
 				PRODUCT_NAME = "F-Script Anywhere";
 				SKIP_INSTALL = YES;
@@ -667,5 +667,5 @@
 				);
 				GCC_ENABLE_OBJC_GC = supported;
-				INFOPLIST_FILE = "Bundle-Info.plist";
+				INFOPLIST_FILE = "Info-Bundle.plist";
 				PRODUCT_NAME = "F-Script Anywhere";
 				SKIP_INSTALL = YES;
@@ -681,5 +681,5 @@
 				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
 				GCC_OPTIMIZATION_LEVEL = 0;
-				INFOPLIST_FILE = "Bundle Loader-Info.plist";
+				INFOPLIST_FILE = "Info-Bundle Loader.plist";
 				PRODUCT_NAME = SCPatchLoader;
 			};
@@ -695,5 +695,5 @@
 				COPY_PHASE_STRIP = YES;
 				GCC_ENABLE_OBJC_GC = supported;
-				INFOPLIST_FILE = "Bundle Loader-Info.plist";
+				INFOPLIST_FILE = "Info-Bundle Loader.plist";
 				PRODUCT_NAME = SCPatchLoader;
 			};
Index: /trunk/Cocoa/F-Script Anywhere/Source/Info-Bundle Loader.plist
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/Info-Bundle Loader.plist	(revision 413)
+++ /trunk/Cocoa/F-Script Anywhere/Source/Info-Bundle Loader.plist	(revision 413)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>CFBundleDevelopmentRegion</key>
+	<string>English</string>
+	<key>CFBundleExecutable</key>
+	<string>SCPatchLoader</string>
+	<key>CFBundleGetInfoString</key>
+	<string></string>
+	<key>CFBundleIconFile</key>
+	<string></string>
+	<key>CFBundleIdentifier</key>
+	<string>net.sabi.FScriptAnywhereLoader</string>
+	<key>CFBundleInfoDictionaryVersion</key>
+	<string>6.0</string>
+	<key>CFBundlePackageType</key>
+	<string>BNDL</string>
+	<key>CFBundleShortVersionString</key>
+	<string>${CURRENT_MARKETING_VERSION}</string>
+	<key>CFBundleSignature</key>
+	<string>FSAL</string>
+	<key>CFBundleVersion</key>
+	<string>${CURRENT_MARKETING_VERSION}</string>
+</dict>
+</plist>
Index: /trunk/Cocoa/F-Script Anywhere/Source/Info-Bundle.plist
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/Info-Bundle.plist	(revision 413)
+++ /trunk/Cocoa/F-Script Anywhere/Source/Info-Bundle.plist	(revision 413)
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>CFBundleDevelopmentRegion</key>
+	<string>English</string>
+	<key>CFBundleExecutable</key>
+	<string>F-Script Anywhere</string>
+	<key>CFBundleGetInfoString</key>
+	<string></string>
+	<key>CFBundleIconFile</key>
+	<string></string>
+	<key>CFBundleIdentifier</key>
+	<string>net.sabi.FScriptAnywhere</string>
+	<key>CFBundleInfoDictionaryVersion</key>
+	<string>6.0</string>
+	<key>CFBundlePackageType</key>
+	<string>BNDL</string>
+	<key>CFBundleShortVersionString</key>
+	<string>${CURRENT_MARKETING_VERSION}</string>
+	<key>CFBundleSignature</key>
+	<string>FSAB</string>
+	<key>CFBundleVersion</key>
+	<string>${CURRENT_MARKETING_VERSION}</string>
+</dict>
+</plist>