Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 390)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 421)
@@ -201,7 +201,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E1F137570D6F7E5D007D5BA3</string>
+				<string>E19868390D72A097003CCA1C</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEETrigger.m</string>
+				<string>ICeCoffEEServicePrefController.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -209,14 +209,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E1F137580D6F7E5D007D5BA3</string>
+						<string>E198683A0D72A097003CCA1C</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEETrigger.m</string>
+						<string>ICeCoffEEServicePrefController.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1324EA60D6F80C100ADB1ED</string>
+						<string>E13CAD750D78CCF70051111D</string>
 						<key>history</key>
 						<array>
-							<string>E1F1375A0D6F7E5D007D5BA3</string>
+							<string>E1A953930D771DD300AF3BBA</string>
 						</array>
 					</dict>
@@ -230,49 +230,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {867, 996}}</string>
+				<string>{{0, -1}, {841, 947}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>959 138 867 1016 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E102B7D40D6F7D2A0030BE17</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEConfig.h</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E102B7D50D6F7D2A0030BE17</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEConfig.h</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E1324EA70D6F80C100ADB1ED</string>
-						<key>history</key>
-						<array>
-							<string>E1F1375B0D6F7E5D007D5BA3</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {750, 482}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>732 376 750 502 0 0 1920 1178 </string>
+				<string>174 56 841 967 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -290,4 +250,5 @@
 				<string>build-and-goOrGo</string>
 				<string>com.apple.ide.PBXToolbarStopButton</string>
+				<string>active-target-popup</string>
 				<string>NSToolbarFlexibleSpaceItem</string>
 				<string>get-info</string>
@@ -305,5 +266,5 @@
 				<dict>
 					<key>Proportion</key>
-					<string>315pt</string>
+					<string>323pt</string>
 					<key>Tabs</key>
 					<array>
@@ -326,5 +287,5 @@
 									<array>
 										<real>22</real>
-										<real>276</real>
+										<real>284</real>
 									</array>
 									<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -339,7 +300,7 @@
 									<array>
 										<string>29B97314FDCFA39411CA2CEA</string>
+										<string>E14993A503DE868D00050002</string>
 										<string>29B97315FDCFA39411CA2CEA</string>
-										<string>E1AFA51C03ECFDB000050001</string>
-										<string>E1BF154403DB950B00050002</string>
+										<string>E14E2B3F0C2CC01700AC18D0</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
 									</array>
@@ -347,10 +308,9 @@
 									<array>
 										<array>
-											<integer>39</integer>
 											<integer>0</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 331}, {298, 621}}</string>
+									<string>{{0, 0}, {306, 670}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -362,5 +322,5 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {315, 639}}</string>
+								<string>{{10, 27}, {323, 688}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
@@ -368,8 +328,8 @@
 									<real>22</real>
 									<string>MainColumn</string>
-									<real>276</real>
+									<real>284</real>
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1598 467 315 707 0 0 1920 1178 </string>
+								<string>1596 407 323 756 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -394,5 +354,5 @@
 									<key>PBXSmartGroupTreeModuleColumnWidthsKey</key>
 									<array>
-										<real>298</real>
+										<real>306</real>
 									</array>
 									<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -406,13 +366,15 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
+										<string>1C37FAAC04509CD000000102</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>0</integer>
+											<integer>15</integer>
+											<integer>7</integer>
 										</array>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {298, 621}}</string>
+									<string>{{0, 0}, {306, 670}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -424,9 +386,9 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {315, 639}}</string>
+								<string>{{10, 27}, {323, 688}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
 									<string>MainColumn</string>
-									<real>298</real>
+									<real>306</real>
 								</array>
 							</dict>
@@ -457,5 +419,5 @@
 									<key>PBXSmartGroupTreeModuleColumnWidthsKey</key>
 									<array>
-										<real>298</real>
+										<real>306</real>
 									</array>
 									<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -475,5 +437,5 @@
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 0}, {298, 621}}</string>
+									<string>{{0, 0}, {306, 670}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -485,9 +447,9 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{10, 27}, {315, 639}}</string>
+								<string>{{10, 27}, {323, 688}}</string>
 								<key>GroupTreeTableConfiguration</key>
 								<array>
 									<string>MainColumn</string>
-									<real>298</real>
+									<real>306</real>
 								</array>
 							</dict>
@@ -510,6 +472,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1324E9C0D6F7E6B00ADB1ED</string>
-				<string>E1324E9D0D6F7E6B00ADB1ED</string>
+				<string>E13CACE20D78C4BD0051111D</string>
+				<string>E13CACE30D78C4BD0051111D</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -542,12 +504,12 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E1324EA80D6F80C100ADB1ED</string>
-		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E102B7D40D6F7D2A0030BE17</string>
-		<string>E1F137570D6F7E5D007D5BA3</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>E19868390D72A097003CCA1C</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>1598 467 315 707 0 0 1920 1178 </string>
+	<string>1596 407 323 756 0 0 1920 1178 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -715,7 +677,7 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {1011, 0}}</string>
+								<string>{{0, 0}, {1092, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>663 40 1011 271 0 0 1920 1178 </string>
+								<string>302 76 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -729,4 +691,6 @@
 							<key>ContentConfiguration</key>
 							<dict>
+								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
+								<string>{{0, 263}, {1092, 499}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -741,16 +705,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 5}, {1011, 225}}</string>
+								<string>{{0, 5}, {1092, 762}}</string>
 								<key>RubberWindowFrame</key>
-								<string>663 40 1011 271 0 0 1920 1178 </string>
+								<string>302 76 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXBuildResultsModule</string>
 							<key>Proportion</key>
-							<string>225pt</string>
+							<string>762pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>230pt</string>
+					<string>767pt</string>
 				</dict>
 			</array>
@@ -766,5 +730,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E1F1375C0D6F7E5D007D5BA3</string>
+				<string>E13CACEA0D78C4BD0051111D</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -773,9 +737,9 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>663 40 1011 271 0 0 1920 1178 </string>
+			<string>302 76 1092 808 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -808,6 +772,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {274, 280}}</string>
-											<string>{{274, 0}, {533, 280}}</string>
+											<string>{{0, 0}, {463, 310}}</string>
+											<string>{{463, 0}, {344, 310}}</string>
 										</array>
 									</dict>
@@ -824,6 +788,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {807, 280}}</string>
-											<string>{{0, 280}, {807, 249}}</string>
+											<string>{{0, 0}, {807, 310}}</string>
+											<string>{{0, 310}, {807, 219}}</string>
 										</array>
 									</dict>
@@ -851,17 +815,17 @@
 									<array>
 										<string>Name</string>
-										<real>164</real>
+										<real>154</real>
 										<string>Value</string>
 										<real>85</real>
 										<string>Summary</string>
-										<real>259</real>
+										<real>80</real>
 									</array>
 									<key>Frame</key>
-									<string>{{274, 0}, {533, 280}}</string>
+									<string>{{463, 0}, {344, 310}}</string>
 									<key>RubberWindowFrame</key>
-									<string>938 75 807 570 0 0 1920 1178 </string>
+									<string>736 128 807 570 0 0 1920 1178 </string>
 								</dict>
 								<key>RubberWindowFrame</key>
-								<string>938 75 807 570 0 0 1920 1178 </string>
+								<string>736 128 807 570 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -886,20 +850,20 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E1890CAF0D6F7A07007FAE30</string>
+				<string>E13CACEB0D78C4BD0051111D</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E1890CB00D6F7A07007FAE30</string>
-				<string>E1890CB10D6F7A07007FAE30</string>
-				<string>E1890CB20D6F7A07007FAE30</string>
-				<string>E1890CB30D6F7A07007FAE30</string>
-				<string>E1890CB40D6F7A07007FAE30</string>
+				<string>E13CACEC0D78C4BD0051111D</string>
+				<string>E13CACED0D78C4BD0051111D</string>
+				<string>E13CACEE0D78C4BD0051111D</string>
+				<string>E13CACEF0D78C4BD0051111D</string>
+				<string>E13CACF00D78C4BD0051111D</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.debugV3</string>
 			<key>WindowString</key>
-			<string>938 75 807 570 0 0 1920 1178 </string>
+			<string>736 128 807 570 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -924,5 +888,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>&lt;No Editor&gt;</string>
+										<string>ICeCoffEEServices.m</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -933,5 +897,5 @@
 										<string>{{0, 0}, {848, 299}}</string>
 										<key>RubberWindowFrame</key>
-										<string>963 203 848 651 0 0 1920 1178 </string>
+										<string>475 329 848 651 0 0 1920 1178 </string>
 									</dict>
 									<key>Module</key>
@@ -959,5 +923,5 @@
 								<string>{{0, 304}, {848, 306}}</string>
 								<key>RubberWindowFrame</key>
-								<string>963 203 848 651 0 0 1920 1178 </string>
+								<string>475 329 848 651 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -982,11 +946,11 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E1324EA40D6F80B800ADB1ED</string>
-				<string>E1324EA50D6F80B800ADB1ED</string>
+				<string>E198682F0D729FE2003CCA1C</string>
+				<string>E19868300D729FE2003CCA1C</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
 			</array>
 			<key>WindowString</key>
-			<string>963 203 848 651 0 0 1920 1178 </string>
+			<string>475 329 848 651 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
@@ -1025,5 +989,5 @@
 								<string>{{0, 0}, {805, 587}}</string>
 								<key>RubberWindowFrame</key>
-								<string>1051 73 805 628 0 0 1920 1178 </string>
+								<string>743 92 805 628 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1048,5 +1012,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E1890CB50D6F7A07007FAE30</string>
+				<string>E13CAD140D78C81D0051111D</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1054,9 +1018,9 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>1051 73 805 628 0 0 1920 1178 </string>
+			<string>743 92 805 628 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1317,6 +1281,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E15464250D5E9F1000C836EC</string>
-				<string>E15464260D5E9F1000C836EC</string>
+				<string>E19868190D728F9F003CCA1C</string>
+				<string>E198681A0D728F9F003CCA1C</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -1327,7 +1291,7 @@
 			<string>995 693 744 409 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
-			<string>E15464250D5E9F1000C836EC</string>
+			<string>E19868190D728F9F003CCA1C</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>