Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 421)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 425)
@@ -196,46 +196,5 @@
 	<array/>
 	<key>OpenEditors</key>
-	<array>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E19868390D72A097003CCA1C</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEServicePrefController.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E198683A0D72A097003CCA1C</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEServicePrefController.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E13CAD750D78CCF70051111D</string>
-						<key>history</key>
-						<array>
-							<string>E1A953930D771DD300AF3BBA</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {841, 947}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>174 56 841 967 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-	</array>
+	<array/>
 	<key>PerspectiveWidths</key>
 	<array>
@@ -301,6 +260,8 @@
 										<string>29B97314FDCFA39411CA2CEA</string>
 										<string>E14993A503DE868D00050002</string>
-										<string>29B97315FDCFA39411CA2CEA</string>
+										<string>E12FEC3C04959F1C00AEFBF9</string>
+										<string>E1BF159F03DBA81600050002</string>
 										<string>E14E2B3F0C2CC01700AC18D0</string>
+										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
 									</array>
@@ -308,4 +269,6 @@
 									<array>
 										<array>
+											<integer>29</integer>
+											<integer>28</integer>
 											<integer>0</integer>
 										</array>
@@ -371,6 +334,6 @@
 									<array>
 										<array>
-											<integer>15</integer>
-											<integer>7</integer>
+											<integer>4</integer>
+											<integer>0</integer>
 										</array>
 									</array>
@@ -472,6 +435,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E13CACE20D78C4BD0051111D</string>
-				<string>E13CACE30D78C4BD0051111D</string>
+				<string>E16EF88A0D78F4F500367265</string>
+				<string>E16EF88B0D78F4F500367265</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -504,8 +467,15 @@
 	<key>WindowOrderList</key>
 	<array>
+		<string>1C530D57069F1CE1000CFCEE</string>
+		<string>E16EF8C80D78F7C800367265</string>
+		<string>E16EF8BA0D78F72B00367265</string>
+		<string>E16EF8BB0D78F72B00367265</string>
+		<string>E16EF8BC0D78F72B00367265</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
+		<string>E16EF8B10D78F72B00367265</string>
+		<string>E183EAB30D78E88A00D04D3E</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>E15464670D5EB85000C836EC</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>E19868390D72A097003CCA1C</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>1C530D5B069F1CE1000CFCEE</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
@@ -679,5 +649,5 @@
 								<string>{{0, 0}, {1092, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>302 76 1092 808 0 0 1920 1178 </string>
+								<string>475 83 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -692,5 +662,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 263}, {1092, 499}}</string>
+								<string>{{0, 728}, {1092, 34}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -707,5 +677,5 @@
 								<string>{{0, 5}, {1092, 762}}</string>
 								<key>RubberWindowFrame</key>
-								<string>302 76 1092 808 0 0 1920 1178 </string>
+								<string>475 83 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -730,5 +700,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E13CACEA0D78C4BD0051111D</string>
+				<string>E16EF8A70D78F72000367265</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -737,9 +707,9 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>302 76 1092 808 0 0 1920 1178 </string>
+			<string>475 83 1092 808 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -824,8 +794,8 @@
 									<string>{{463, 0}, {344, 310}}</string>
 									<key>RubberWindowFrame</key>
-									<string>736 128 807 570 0 0 1920 1178 </string>
+									<string>11 49 807 570 0 0 1920 1178 </string>
 								</dict>
 								<key>RubberWindowFrame</key>
-								<string>736 128 807 570 0 0 1920 1178 </string>
+								<string>11 49 807 570 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -850,16 +820,16 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E13CACEB0D78C4BD0051111D</string>
+				<string>E16EF8930D78F4F500367265</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E13CACEC0D78C4BD0051111D</string>
-				<string>E13CACED0D78C4BD0051111D</string>
-				<string>E13CACEE0D78C4BD0051111D</string>
-				<string>E13CACEF0D78C4BD0051111D</string>
-				<string>E13CACF00D78C4BD0051111D</string>
+				<string>E16EF8940D78F4F500367265</string>
+				<string>E16EF8950D78F4F500367265</string>
+				<string>E16EF8960D78F4F500367265</string>
+				<string>E16EF8970D78F4F500367265</string>
+				<string>E16EF8980D78F4F500367265</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.debugV3</string>
 			<key>WindowString</key>
-			<string>736 128 807 570 0 0 1920 1178 </string>
+			<string>11 49 807 570 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
@@ -888,5 +858,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ICeCoffEEServices.m</string>
+										<string>&lt;No Editor&gt;</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -946,6 +916,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E198682F0D729FE2003CCA1C</string>
-				<string>E19868300D729FE2003CCA1C</string>
+				<string>E16EF8D60D78F7EB00367265</string>
+				<string>E16EF8D70D78F7EB00367265</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -989,5 +959,5 @@
 								<string>{{0, 0}, {805, 587}}</string>
 								<key>RubberWindowFrame</key>
-								<string>743 92 805 628 0 0 1920 1178 </string>
+								<string>151 550 805 628 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1012,5 +982,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E13CAD140D78C81D0051111D</string>
+				<string>E16EF8A80D78F72000367265</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1018,9 +988,9 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>743 92 805 628 0 0 1920 1178 </string>
+			<string>151 550 805 628 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1153,5 +1123,5 @@
 			<array>
 				<string>E15464670D5EB85000C836EC</string>
-				<string>E101AC510D6F5A7800AB607D</string>
+				<string>E16EF8AA0D78F72000367265</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1164,5 +1134,5 @@
 			<string>E15464670D5EB85000C836EC</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1281,6 +1251,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E19868190D728F9F003CCA1C</string>
-				<string>E198681A0D728F9F003CCA1C</string>
+				<string>E13CAD980D78E0710051111D</string>
+				<string>E13CAD990D78E0710051111D</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -1291,7 +1261,7 @@
 			<string>995 693 744 409 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
-			<string>E19868190D728F9F003CCA1C</string>
+			<string>E13CAD980D78E0710051111D</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>