Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 425)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 428)
@@ -196,5 +196,180 @@
 	<array/>
 	<key>OpenEditors</key>
-	<array/>
+	<array>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E16F0CEB0D7AD42200EC7A9E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>NSOutlineView.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E16F0CEC0D7AD42200EC7A9E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>NSOutlineView.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E16F0D890D7AE85600EC7A9E</string>
+						<key>history</key>
+						<array>
+							<string>E16F0CED0D7AD42200EC7A9E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {849, 687}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>411 43 849 707 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E16F09020D7ABB3500EC7A9E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEEServicePrefController.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E16F09030D7ABB3500EC7A9E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEEServicePrefController.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E16F0D8A0D7AE85600EC7A9E</string>
+						<key>history</key>
+						<array>
+							<string>E16F0BC30D7AC71200EC7A9E</string>
+							<string>E16F09060D7ABB3500EC7A9E</string>
+						</array>
+						<key>nextStack</key>
+						<array>
+							<string>E16F0BC40D7AC71200EC7A9E</string>
+						</array>
+						<key>prevStack</key>
+						<array>
+							<string>E16F09050D7ABB3500EC7A9E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {841, 947}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>1001 81 841 967 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E16F04CF0D7A938100EC7A9E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>ICeCoffEELabeledIconCell.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E16F04D00D7A938100EC7A9E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>ICeCoffEELabeledIconCell.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E16F0D8B0D7AE85600EC7A9E</string>
+						<key>history</key>
+						<array>
+							<string>E16F05050D7A97C300EC7A9E</string>
+							<string>E16F05060D7A97C300EC7A9E</string>
+						</array>
+						<key>prevStack</key>
+						<array>
+							<string>E16F05070D7A97C300EC7A9E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {841, 947}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>87 77 841 967 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+		<dict>
+			<key>Content</key>
+			<dict>
+				<key>PBXProjectModuleGUID</key>
+				<string>E16F0D630D7AE09300EC7A9E</string>
+				<key>PBXProjectModuleLabel</key>
+				<string>NSWindow.h</string>
+				<key>PBXSplitModuleInNavigatorKey</key>
+				<dict>
+					<key>Split0</key>
+					<dict>
+						<key>PBXProjectModuleGUID</key>
+						<string>E16F0D640D7AE09300EC7A9E</string>
+						<key>PBXProjectModuleLabel</key>
+						<string>NSWindow.h</string>
+						<key>_historyCapacity</key>
+						<integer>0</integer>
+						<key>bookmark</key>
+						<string>E16F0D8C0D7AE85600EC7A9E</string>
+						<key>history</key>
+						<array>
+							<string>E16F0D650D7AE09300EC7A9E</string>
+						</array>
+					</dict>
+					<key>SplitCount</key>
+					<string>1</string>
+				</dict>
+				<key>StatusBarVisibility</key>
+				<false/>
+			</dict>
+			<key>Geometry</key>
+			<dict>
+				<key>Frame</key>
+				<string>{{0, -1}, {881, 769}}</string>
+				<key>PBXModuleWindowStatusBarHidden2</key>
+				<true/>
+				<key>RubberWindowFrame</key>
+				<string>38 363 881 789 0 0 1920 1178 </string>
+			</dict>
+		</dict>
+	</array>
 	<key>PerspectiveWidths</key>
 	<array>
@@ -265,10 +440,11 @@
 										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
+										<string>29B97323FDCFA39411CA2CEA</string>
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 									<array>
 										<array>
-											<integer>29</integer>
-											<integer>28</integer>
+											<integer>9</integer>
+											<integer>7</integer>
 											<integer>0</integer>
 										</array>
@@ -334,5 +510,5 @@
 									<array>
 										<array>
-											<integer>4</integer>
+											<integer>2</integer>
 											<integer>0</integer>
 										</array>
@@ -435,6 +611,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E16EF88A0D78F4F500367265</string>
-				<string>E16EF88B0D78F4F500367265</string>
+				<string>E16F04280D7A85CC00EC7A9E</string>
+				<string>E16F04290D7A85CC00EC7A9E</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -468,13 +644,16 @@
 	<array>
 		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>E16EF8C80D78F7C800367265</string>
-		<string>E16EF8BA0D78F72B00367265</string>
-		<string>E16EF8BB0D78F72B00367265</string>
-		<string>E16EF8BC0D78F72B00367265</string>
+		<string>1C335F2C07B51CD20023D4EE</string>
+		<string>E16F09B40D7ABEE400EC7A9E</string>
+		<string>E16F07220D7AA97500EC7A9E</string>
+		<string>E16F07230D7AA97500EC7A9E</string>
+		<string>E16F07240D7AA97500EC7A9E</string>
+		<string>E16F0D630D7AE09300EC7A9E</string>
 		<string>1C530D5B069F1CE1000CFCEE</string>
-		<string>E16EF8B10D78F72B00367265</string>
-		<string>E183EAB30D78E88A00D04D3E</string>
+		<string>E16F04CF0D7A938100EC7A9E</string>
+		<string>E15464670D5EB85000C836EC</string>
 		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>E15464670D5EB85000C836EC</string>
+		<string>E16F09020D7ABB3500EC7A9E</string>
+		<string>E16F0CEB0D7AD42200EC7A9E</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
@@ -603,5 +782,5 @@
 			<array>
 				<string>1C335F2C07B51CD20023D4EE</string>
-				<string>E15464950D5EBD0200C836EC</string>
+				<string>E16F0C7D0D7ACAEB00EC7A9E</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -649,5 +828,5 @@
 								<string>{{0, 0}, {1092, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>475 83 1092 808 0 0 1920 1178 </string>
+								<string>795 126 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -662,5 +841,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 728}, {1092, 34}}</string>
+								<string>{{0, 762}, {1092, 0}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -677,5 +856,5 @@
 								<string>{{0, 5}, {1092, 762}}</string>
 								<key>RubberWindowFrame</key>
-								<string>475 83 1092 808 0 0 1920 1178 </string>
+								<string>795 126 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -700,5 +879,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E16EF8A70D78F72000367265</string>
+				<string>E16F043A0D7A881100EC7A9E</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -707,5 +886,5 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>475 83 1092 808 0 0 1920 1178 </string>
+			<string>795 126 1092 808 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
@@ -820,11 +999,11 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E16EF8930D78F4F500367265</string>
+				<string>E16F042B0D7A85CC00EC7A9E</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E16EF8940D78F4F500367265</string>
-				<string>E16EF8950D78F4F500367265</string>
-				<string>E16EF8960D78F4F500367265</string>
-				<string>E16EF8970D78F4F500367265</string>
-				<string>E16EF8980D78F4F500367265</string>
+				<string>E16F042C0D7A85CC00EC7A9E</string>
+				<string>E16F042D0D7A85CC00EC7A9E</string>
+				<string>E16F042E0D7A85CC00EC7A9E</string>
+				<string>E16F042F0D7A85CC00EC7A9E</string>
+				<string>E16F04300D7A85CC00EC7A9E</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -858,5 +1037,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>&lt;No Editor&gt;</string>
+										<string>ICeCoffEEServicePrefController.m</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -916,6 +1095,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E16EF8D60D78F7EB00367265</string>
-				<string>E16EF8D70D78F7EB00367265</string>
+				<string>E16F0C980D7ACB2400EC7A9E</string>
+				<string>E16F0C990D7ACB2400EC7A9E</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -957,16 +1136,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {805, 587}}</string>
+								<string>{{0, 0}, {1054, 596}}</string>
 								<key>RubberWindowFrame</key>
-								<string>151 550 805 628 0 0 1920 1178 </string>
+								<string>866 36 1054 637 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXDebugCLIModule</string>
 							<key>Proportion</key>
-							<string>587pt</string>
+							<string>596pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>587pt</string>
+					<string>596pt</string>
 				</dict>
 			</array>
@@ -982,5 +1161,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E16EF8A80D78F72000367265</string>
+				<string>E16F044E0D7A88D800EC7A9E</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -988,9 +1167,9 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>151 550 805 628 0 0 1920 1178 </string>
+			<string>866 36 1054 637 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<false/>
+			<true/>
 		</dict>
 		<dict>
@@ -1123,5 +1302,5 @@
 			<array>
 				<string>E15464670D5EB85000C836EC</string>
-				<string>E16EF8AA0D78F72000367265</string>
+				<string>E16F04310D7A85CC00EC7A9E</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1251,6 +1430,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E13CAD980D78E0710051111D</string>
-				<string>E13CAD990D78E0710051111D</string>
+				<string>E16F09B40D7ABEE400EC7A9E</string>
+				<string>E16F09B50D7ABEE400EC7A9E</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -1261,5 +1440,5 @@
 			<string>995 693 744 409 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
-			<string>E13CAD980D78E0710051111D</string>
+			<string>E16F09B40D7ABEE400EC7A9E</string>
 			<key>WindowToolIsVisible</key>
 			<false/>